"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShowMainFilter = void 0;
const classnames_1 = __importDefault(require("classnames"));
const react_1 = __importDefault(require("react"));
const design_ui_input_toggle_1 = require("@teambit/design.ui.input.toggle");
const component_ui_component_filters_component_filter_context_1 = require("@teambit/component.ui.component-filters.component-filter-context");
const lanes_ui_icons_lane_icon_1 = require("@teambit/lanes.ui.icons.lane-icon");
const show_main_filter_module_scss_1 = __importDefault(require("./show-main-filter.module.scss"));
const ShowMainFilter = (defaultState = false) => ({
    id: 'onLane',
    match: ({ component, lanes }, active) => {
        var _a;
        const onMain = (_a = lanes === null || lanes === void 0 ? void 0 : lanes.viewedLane) === null || _a === void 0 ? void 0 : _a.id.isDefault();
        if (onMain || active)
            return true;
        const onLane = !!(lanes === null || lanes === void 0 ? void 0 : lanes.isInViewedLane(component.id, true));
        return onLane;
    },
    state: defaultState,
    order: 2,
    render: showMainFilter,
});
exports.ShowMainFilter = ShowMainFilter;
function showMainFilter({ className, lanes }) {
    var _a;
    const isOnMain = (_a = lanes === null || lanes === void 0 ? void 0 : lanes.viewedLane) === null || _a === void 0 ? void 0 : _a.id.isDefault();
    const filterContext = (0, component_ui_component_filters_component_filter_context_1.useComponentFilter)((0, exports.ShowMainFilter)().id);
    if (isOnMain || !filterContext)
        return null;
    const [filter, updateFilter] = filterContext;
    const isActive = filter.state;
    return (react_1.default.createElement("div", { className: (0, classnames_1.default)(show_main_filter_module_scss_1.default.onLaneFilter, isActive && show_main_filter_module_scss_1.default.active, className) },
        react_1.default.createElement("div", { className: show_main_filter_module_scss_1.default.filterIcon },
            react_1.default.createElement(lanes_ui_icons_lane_icon_1.LaneIcon, null),
            react_1.default.createElement("span", { className: show_main_filter_module_scss_1.default.filterIconLabel }, "Show main")),
        react_1.default.createElement("div", null,
            react_1.default.createElement(design_ui_input_toggle_1.Toggle, { defaultChecked: isActive, onInputChanged: () => updateFilter((currentState) => (Object.assign(Object.assign({}, currentState), { state: !isActive }))) }))));
}
//# sourceMappingURL=show-main-filter.js.map